Creates a new retrospective process group step from provided data
curl --request POST \
--url https://api.rootly.com/v1/retrospective_process_groups/{retrospective_process_group_id}/steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_process_group_steps",
"attributes": {
"retrospective_step_id": "<string>",
"position": 123
}
}
}
'{
"data": {
"id": "839af62f-2ccb-411d-bc01-0cac53d4da6e",
"type": "retrospective_process_group_steps",
"attributes": {
"retrospective_process_group_id": "643307da-bd10-4701-a339-dbd7ba96be31",
"retrospective_step_id": "a1e8ccaa-135b-4ede-b3f1-8be0f5e60a9d",
"position": 1,
"updated_at": "2026-02-07T16:50:12.609-08:00",
"created_at": "2026-02-07T16:50:12.609-08:00"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
retrospective_process_group_step created
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/retrospective_process_groups/{retrospective_process_group_id}/steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_process_group_steps",
"attributes": {
"retrospective_step_id": "<string>",
"position": 123
}
}
}
'{
"data": {
"id": "839af62f-2ccb-411d-bc01-0cac53d4da6e",
"type": "retrospective_process_group_steps",
"attributes": {
"retrospective_process_group_id": "643307da-bd10-4701-a339-dbd7ba96be31",
"retrospective_step_id": "a1e8ccaa-135b-4ede-b3f1-8be0f5e60a9d",
"position": 1,
"updated_at": "2026-02-07T16:50:12.609-08:00",
"created_at": "2026-02-07T16:50:12.609-08:00"
}
}
}